Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85937 - uic failure after update RHSA-2002-220
Summary: uic failure after update RHSA-2002-220
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: qt
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-11 02:39 UTC by Patrick Monnerat
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-06-29 18:37:28 UTC


Attachments (Terms of Use)

Description Patrick Monnerat 2003-03-11 02:39:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After installing KDE/Qt update, uic fails generating implementation file.

There are 2 problems. 1) duplicate definitions (from a link to plugin in same
directory) and 2) symbol not found (though it IS defined in libkdecore!)

Note: This happens when compiling muse-0.6.0pre5 audio-sequencer.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Compile and install what is needed for muse.
2. Download, configure and make muse-0.6.0pre5
3.
    

Actual Results:  .
.
.
make[3]: Entering directory `/usr/src/redhat/BUILD/muse-0.6.0pre5/widgets'
/usr/lib/qt3/bin/uic -o editctrl7dialogbase.cpp -impl editctrl7dialogbase.h
editctrl7dialogbase.ui
/usr/lib/kde3/plugins/designer/kdewidgets-gcc2.96.so: Feature KCModule already
defined in /usr/lib/kde3/plugins/designer/kdewidgets.so!
/usr/lib/kde3/plugins/designer/kdewidgets-gcc2.96.so: Feature KCharSelect
already defined in /usr/lib/kde3/plugins/designer/kdewidgets.so!
/usr/lib/kde3/plugins/designer/kdewidgets-gcc2.96.so: Feature KColorButton
already defined in /usr/lib/kde3/plugins/designer/kdewidgets.so!
.
.
.
/usr/lib/kde3/plugins/designer/kdewidgets-gcc2.96.so: Feature KURLRequester
already defined in /usr/lib/kde3/plugins/designer/kdewidgets.so!
/usr/lib/qt3/bin/uic: relocation error: /usr/lib/libkio-gcc2.96.so.4: undefined
symbol: unregisterStaticDeleter__7KGlobalP18KStaticDeleterBase
make[3]: *** [editctrl7dialogbase.lo] Error 127
make[3]: Leaving directory `/usr/src/redhat/BUILD/muse-0.6.0pre5/widgets'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/usr/src/redhat/BUILD/muse-0.6.0pre5/widgets'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/muse-0.6.0pre5'
make: *** [all] Error 2

Expected Results:  No error !

Additional info:

Might be a kdelibs problem (?)

Comment 1 Ngo Than 2003-03-12 13:44:01 UTC
i can confirm this bug. it should be fixed in next qt-3.0.5-7.15 or later, which will be released as 
errata soon 

Comment 2 Patrick Monnerat 2003-04-28 12:54:25 UTC
Is there a temporary patch or workaround to this problem? This will allow 
compiling target programs while waiting for the update. Thanks in advance.
Regards,
PM

Comment 4 Ngo Than 2004-06-29 18:37:28 UTC
it's fixed in current release


Note You need to log in before you can comment on or make changes to this bug.